#!/bin/bash
# Automatisiertes OpenVPN Script
# Erstellt smtliche Serverseitige Zertifikate und Startet den OpenVPN Server mit einer Standard Konfiguration
# damit der OpenVPN Spass sofort losgehen kann.
#
# 26.06.2013 Geschrieben und Getestet
# Harald Ioakeimides, metaSEC
#
a=5;

if [ $# -ne $a ];then
echo "Da fehlen wohl Parameter:./OpenVPN.sh <Land> <Privinz> <Stadt> <Firma> <eMail>";
exit;
fi;

cd /etc/openvpn/

mkdir keys
mkdir keys/ca
mkdir keys/server
mkdir default
mkdir log

cd /etc/openvpn/keys/ca

echo ""
echo "CA Cert erstellen..."
echo ""
openssl genrsa -out ca.key 2048
openssl req -new -x509 -days 3650 -key ca.key -out ca.crt -set_serial 1 -subj '/C='$1'/ST='$2'/L='$3'/O='$4'/OU=IT/CN=CA/emailAddress='$5

chmod 700 ../ca
cd /etc/openvpn/keys/
touch serial
echo "01" > serial

cd /etc/openvpn/keys/server

echo ""
echo "Server Cert erstellen..."
echo ""
openssl req -new -newkey rsa:2048 -out server_csr_vpn.pem -nodes -keyout server.key -days 3650 -subj '/C='$1'/ST='$2'/L='$3'/O='$4'/OU=IT/CN=Server/emailAddress='$5
openssl x509 -req -in server_csr_vpn.pem -out server.crt -CA /etc/openvpn/keys/ca/ca.crt -CAkey /etc/openvpn/keys/ca/ca.key -CAserial /etc/openvpn/keys/serial -days 3650
rm server_csr_vpn.pem

cd /etc/openvpn/keys/ca/

echo ""
echo "Zufallszahlen erstellen..."
echo ""
openssl dhparam -out dh2048.pem 2048

echo ""
echo "Standard Serverkonfiguration wird geschrieben"
echo ""
cd /etc/openvpn/default/
touch server.ovpn
echo 'port 1194
proto udp
dev tun

ca      /etc/openvpn/keys/ca/ca.crt    # generated keys
cert    /etc/openvpn/keys/server/server.crt
key     /etc/openvpn/keys/server/server.key  # keep secret
dh      /etc/openvpn/keys/ca/dh2048.pem

server 10.9.8.0 255.255.255.0  # internal tun0 connection IP
ifconfig-pool-persist ipp.txt

keepalive 10 120

comp-lzo         # Compression - must be turned on at both end
persist-key
persist-tun

status log/openvpn-status.log
tun-mtu 1300
tun-mtu-extra 32

verb 3  # verbose mode
client-to-client' >> server.ovpn

touch /etc/openvpn/log/openvpn-status.log
ln -s /etc/openvpn/default/server.ovpn /etc/openvpn/server.conf

echo ""
echo "OpenVPN-Dienst wird mit Standardkonfig gestatet"
echo ""
/etc/init.d/openvpn restart

echo ""
echo "OpenVPN-Dienst Autostart"
echo ""
update-rc.d openvpn defaults
exit;
