
-- MySQL dump 10.11
--
-- Host: localhost    Database: zphone
-- ------------------------------------------------------
-- Server version       5.0.32-Debian_7etch12-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `persons`
--

DROP TABLE IF EXISTS `persons`;
CREATE TABLE `persons` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `surname` varchar(255) NOT NULL,
  `password` varchar(64) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `persons`
--

LOCK TABLES `persons` WRITE;
/*!40000 ALTER TABLE `persons` DISABLE KEYS */;
INSERT INTO `persons` VALUES (1,'Mitya','Kovalev','mit'),(2,'Torvlobnor','Puzdoy',NULL),(3,'Akakiy','Zinberstein',NULL);
/*!40000 ALTER TABLE `persons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `phones`
--

DROP TABLE IF EXISTS `phones`;
CREATE TABLE `phones` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `phone` varchar(255) NOT NULL,
  `pers_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `phones`
--

LOCK TABLES `phones` WRITE;
/*!40000 ALTER TABLE `phones` DISABLE KEYS */;
INSERT INTO `phones` VALUES (1,'332-2334',1),(2,'222-3234',2),(3,'545-4563',2);
/*!40000 ALTER TABLE `phones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `referrals`
--

DROP TABLE IF EXISTS `referrals`;
CREATE TABLE `referrals` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `referrals`
--

LOCK TABLES `referrals` WRITE;
/*!40000 ALTER TABLE `referrals` DISABLE KEYS */;
INSERT INTO `referrals` VALUES (1,'Referral','ldap://localhost:9012/');
/*!40000 ALTER TABLE `referrals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ldap_attr_mappings`
--

DROP TABLE IF EXISTS `ldap_attr_mappings`;
CREATE TABLE `ldap_attr_mappings` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `oc_map_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `sel_expr` varchar(255) NOT NULL,
  `sel_expr_u` varchar(255) default NULL,
  `from_tbls` varchar(255) NOT NULL,
  `join_where` varchar(255) default NULL,
  `add_proc` varchar(255) default NULL,
  `delete_proc` varchar(255) default NULL,
  `param_order` int(11) NOT NULL,
  `expect_return` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ldap_attr_mappings`
--

LOCK TABLES `ldap_attr_mappings` WRITE;
/*!40000 ALTER TABLE `ldap_attr_mappings` DISABLE KEYS */;
INSERT INTO `ldap_attr_mappings` VALUES (1,1,'cn','text(persons.name||\' \'||persons.surname)',NULL,'persons',NULL,'SELECT update_person_cn(?,?)','SELECT 1 FROM persons WHERE persons.name=? AND persons.id=? AND 1=0',3,0),(2,1,'telephoneNumber','phones.phone',NULL,'persons,phones','phones.pers_id=persons.id','SELECT add_phone(?,?)','DELETE FROM phones WHERE phone=? AND pers_id=?',3,0),(3,1,'givenName','persons.name',NULL,'persons',NULL,'UPDATE persons SET name=? WHERE id=?','UPDATE persons SET name=\'\' WHERE (name=? OR name=\'\') AND id=?',3,0),(4,1,'sn','persons.surname',NULL,'persons',NULL,'UPDATE persons SET surname=? WHERE id=?','UPDATE persons SET surname=\'\' WHERE (surname=? OR surname=\'\') AND id=?',3,0),(5,1,'userPassword','persons.password',NULL,'persons','persons.password IS NOT NULL','UPDATE persons SET password=? WHERE id=?','UPDATE persons SET password=NULL WHERE password=? AND id=?',3,0),(6,1,'seeAlso','seeAlso.dn',NULL,'ldap_entries AS seeAlso,documents,authors_docs,persons','seeAlso.keyval=documents.id AND seeAlso.oc_map_id=2 AND authors_docs.doc_id=documents.id AND authors_docs.pers_id=persons.id',NULL,'DELETE from authors_docs WHERE authors_docs.doc_id=(SELECT documents.id FROM documents,ldap_entries AS seeAlso WHERE seeAlso.keyval=documents.id AND seeAlso.oc_map_id=2 AND seeAlso.dn=?) AND authors_docs.pers_id=?',3,0);
/*!40000 ALTER TABLE `ldap_attr_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ldap_entries`
--

DROP TABLE IF EXISTS `ldap_entries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ldap_entries` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `dn` varchar(255) NOT NULL,
  `oc_map_id` int(11) NOT NULL,
  `parent` int(11) NOT NULL,
  `keyval` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `oc_map_id` (`oc_map_id`,`keyval`),
  UNIQUE KEY `dn` (`dn`)
) ENGINE=MyISAM AUTO_INCREMENT=26028 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ldap_entries`
--

LOCK TABLES `ldap_entries` WRITE;
/*!40000 ALTER TABLE `ldap_entries` DISABLE KEYS */;
INSERT INTO `ldap_entries` VALUES (1,'dc=zphone2,dc=local',3,0,1),(256,'documentTitle=book1,dc=zphone2,dc=local',2,1,1),(257,'documentTitle=book2,dc=zphone2,dc=local',2,1,2);
/*!40000 ALTER TABLE `ldap_entries` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `ldap_entry_objclasses`
--

DROP TABLE IF EXISTS `ldap_entry_objclasses`;
CREATE TABLE `ldap_entry_objclasses` (
  `entry_id` int(11) NOT NULL,
  `oc_name` varchar(64) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ldap_entry_objclasses`
--

LOCK TABLES `ldap_entry_objclasses` WRITE;
/*!40000 ALTER TABLE `ldap_entry_objclasses` DISABLE KEYS */;
INSERT INTO `ldap_entry_objclasses` VALUES (4,'pkiUser'),(7,'extensibleObject');
/*!40000 ALTER TABLE `ldap_entry_objclasses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ldap_oc_mappings`
--

DROP TABLE IF EXISTS `ldap_oc_mappings`;
CREATE TABLE `ldap_oc_mappings` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `keytbl` varchar(64) NOT NULL,
  `keycol` varchar(64) NOT NULL,
  `create_proc` varchar(255) default NULL,
  `delete_proc` varchar(255) default NULL,
  `expect_return` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ldap_oc_mappings`
--

LOCK TABLES `ldap_oc_mappings` WRITE;
/*!40000 ALTER TABLE `ldap_oc_mappings` DISABLE KEYS */;
INSERT INTO `ldap_oc_mappings` VALUES (1,'inetOrgPerson','persons','id','SELECT create_person()','DELETE FROM persons WHERE id=?',0),(2,'document','documents','id','SELECT create_doc()','DELETE FROM documents WHERE id=?',0),(3,'organization','institutes','id','SELECT create_o()','DELETE FROM institutes WHERE id=?',0),(4,'referral','referrals','id','SELECT create_referral()','DELETE FROM referrals WHERE id=?',0);
/*!40000 ALTER TABLE `ldap_oc_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `authors_docs`
--

DROP TABLE IF EXISTS `authors_docs`;
CREATE TABLE `authors_docs` (
  `pers_id` int(11) NOT NULL,
  `doc_id` int(11) NOT NULL,
  PRIMARY KEY  (`pers_id`,`doc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `authors_docs`
--

LOCK TABLES `authors_docs` WRITE;
/*!40000 ALTER TABLE `authors_docs` DISABLE KEYS */;
INSERT INTO `authors_docs` VALUES (1,1),(1,2),(2,1);
/*!40000 ALTER TABLE `authors_docs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `documents`
--

DROP TABLE IF EXISTS `documents`;
CREATE TABLE `documents` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `abstract` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `documents`
--

LOCK TABLES `documents` WRITE;
/*!40000 ALTER TABLE `documents` DISABLE KEYS */;
INSERT INTO `documents` VALUES (1,'book1','abstract1'),(2,'book2','abstract2');
/*!40000 ALTER TABLE `documents` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-03-26  9:55:50

